Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.management.configuration
Interface DomainMBean

public interface DomainMBean
extends WebLogicMBean, javax.management.NotificationEmitter

This MBean is the root of Weblogic Event Server configuration MBeans. This MBean needs to be accessed to get to the deployed application's ApplicationMBean. This MBean is a notification emitter of `AttributeChangeNotification` for attribute value changes of the ApplicationMBeans property, and of the ServerMBeans property. The following example shows how to access the DomainMBean:

     ObjectName domainBeanName = ObjectName.getInstance("com.bea.wlevs:Name="
             + domainName + ",Type=Domain");

     DomainMBean domainBean = (DomainMBean) MBeanServerInvocationHandler
             .newProxyInstance(mbsc, domainBeanName, DomainMBean.class, false);

Field Summary
`static java.lang.String` | `MBEAN_TYPE` This MBean is registered using the following MBEAN_TYPE.

Method Summary
`javax.management.ObjectName[]` | `getApplicationMBeans()` Returns an array of `ObjectName` of the ApplicationMBeans that have been deployed in the current WebLogic Event Server instance.
`java.lang.String[]` | `getGroupNames()` Returns an array of group names that exist in the domain.
`javax.management.ObjectName[]` | `getServerMBeans()` This method returns `ObjectName` for all WebLogic Event Servers available in the domain.
`javax.management.ObjectName` | `lookupApplicationMBean(java.lang.String name)` Returns the `ObjectName` of the ApplicationMBean.
`javax.management.ObjectName[]` | `lookupGroupMembers(java.lang.String groupName)` Returns an array of `ObjectName` for all servers that are part of the group specified by `groupName`
`javax.management.ObjectName` | `lookupServerMBean(java.lang.String name)` Returns the `ObjectName` for the ServerMBean.

Methods inherited from interface com.bea.wlevs.management.WebLogicMBean
`getName, getObjectName, getType`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### MBEAN_TYPE

    public static final java.lang.String MBEAN_TYPE

  This MBean is registered using the following MBEAN_TYPE.

Method Detail

### getApplicationMBeans

    public javax.management.ObjectName[] getApplicationMBeans()
                                                       throws javax.management.JMException

  Returns an array of `ObjectName` of the ApplicationMBeans that have been deployed in the current WebLogic Event Server instance. Note that it does not return ApplicationMBeans for all applications of the domain.

  Returns:
    ObjectName[] - Collection of ObjectNames of ApplicationMBean
  Throws:
    javax.management.JMException -
  See Also:
    `ApplicationMBean`

### lookupApplicationMBean

    public javax.management.ObjectName lookupApplicationMBean(java.lang.String name)
                                                       throws javax.management.JMException

  Returns the `ObjectName` of the ApplicationMBean.

  Parameters:
    `name` - - Name of the ApplicationMBean
  Returns:
    ObjectName - ObjectName of the specified ApplicationMBean
  Throws:
    javax.management.InstanceNotFoundException - - if the ApplicationMBean is not found

### getServerMBeans

    public javax.management.ObjectName[] getServerMBeans()
                                                  throws javax.management.JMException

  This method returns `ObjectName` for all WebLogic Event Servers available in the domain.

  Returns:
    ObjectName [] - available Event Server instances in domain.

### lookupServerMBean

    public javax.management.ObjectName lookupServerMBean(java.lang.String name)
                                                  throws javax.management.JMException

  Returns the `ObjectName` for the ServerMBean.

  Parameters:
    `name` - - server name
  Returns:
    ObjectName
  Throws:
    javax.management.InstanceNotFoundException - - if the ServerMBean is not found

### getGroupNames

    public java.lang.String[] getGroupNames()
                                     throws javax.management.JMException

  Returns an array of group names that exist in the domain.

  Returns:
    String [] - array of group names that exist in the domain
  Throws:
    javax.management.JMException -

### lookupGroupMembers

    public javax.management.ObjectName[] lookupGroupMembers(java.lang.String groupName)
                                                     throws javax.management.JMException

  Returns an array of `ObjectName` for all servers that are part of the group specified by `groupName`

  Parameters:
    `groupName` -
  Returns:
    ObjectName [] - available Event Server instances in group.
  Throws:
    RuntimeOperationsException - with nested IllegalArgumentException - if group is not found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.